# Dataset Service Api

The Dataset service provides API endpoints to allow an application or user to register datasets in Data Platform.<br>
The service has been delivered by the OSDU community to register instructions to enable Dataset upload. Dataset could be a single file, collection of files, seismic datasets etc.

Dataset service today is similar to File service in the context of data flow services, i.e it supports creating file metadata records to upload a file.<br>
But the File service doesn't support metadata creation for file collections. So, If client wants to register File collection they can use Dataset Service to register a single/collection of files.

**Note** that the existing metadata, upload and download endpoints of the File service will be deprecated. The scope of the File service will be limited to storage of files without association of any metadata, upload or download..<br>
It is recommended that all new applications who are getting onboarded on OSDU use Dataset Service instead of directly interacting with File Service.

```plain {% title="Client ID" %}
963f2cc6915e479fa0fcb73ec2ec90e7
```


Version: 1.0

## Servers

SLB Saas OSDU (SGP)
```
https://as5.api.enterprisedata.slb.com/api/dataset/v1
```

SLB SaaS OSDU (BRS)
```
https://br5.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (WEU)
```
https://eu5.api.enterprisedata.slb.com/api/dataset/v1
```

SLB SaaS OSDU (EUT)
```
https://eu6.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (MDE)
```
https://eu7.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (PSC)
```
https://us5.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (USC)
```
https://us7.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (WUS)
```
https://us8.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (SAS)
```
https://as6.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (SWC)
```
https://eu8.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (MYW)
```
https://as7.api.enterprisedata.slb.com/api/dataset/v1
```

SLB Saas OSDU (ZAN)
```
https://za1.api.enterprisedata.slb.com/api/dataset/v1
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Dataset Service Api](https://developer.slb.com/_bundle/solutions/core-service/apis/OSDU-Dataset-Service.yaml)

## dataset-dms-api

 - [GET /retrievalInstructions](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/retrievalinstructionsusingget.md): Gets a signed URL for downloading a single file associated with the unique `id` of the file. (similar to /downloadURL in File Service). **Required roles**: 'users.datalake.viewers or users.datalake.ed
 - [POST /retrievalInstructions](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/retrievalinstructionsusingpost.md): Gets a list of signed URLs to download multiple files by providing a list of file ids. **Required roles**: 'users.datalake.viewers or users.datalake.editors or users.datalake.ops or users.datalake.adm
 - [POST /storageInstructions](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/storageinstructionsusingpost.md): Gets a temporary signed URL to upload a dataset (File or collection of files. Service does not upload the file by itself, User needs to use this URL to upload the file). The generated URL is time boun
 - [POST /revokeURL](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-dms-api/revokepreviouslygeneratedurlsusingpost.md): Revoke previously generated URLs associated with a specific dataset kind subtype (Eg - dataset--File.Generic). **Required roles**: 'users.datalake.admin'
## dataset-registry-api

 - [GET /getDatasetRegistry](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-registry-api/getdatasetregistryusingget.md): Gets the latest version of Dataset Registry record identified by the given id (similar to GET /{id}/metadata in File Service). **Required roles**: 'service.storage.creator or service.storage.admin or
 - [POST /getDatasetRegistry](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-registry-api/getdatasetregistryusingpost.md): Gets list of Dataset Registy records identified by a list of IDs. **Required roles**: 'service.storage.creator or service.storage.admin or service.storage.viewer'
 - [PUT /registerDataset](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/dataset-registry-api/createorupdatedatasetregistryusingput.md): This API registers dataset metadata record for a file that is already uploaded. The Metadata is linked to the file via `FileSource` provided in the request body. If `FileSource` attribute is missing i
## Info

 - [GET /info](https://developer.slb.com/solutions/core-service/apis/osdu-dataset-service/info/version%20info.md): For deployment available public `/info` endpoint, which provides build and git related information.
